Subject: RE: Libraries and gprof
From: [email-masked]

20 Jan 1997 20:54:48 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: [email-masked]
Original-CC: [email-masked], [email-masked]
Original-Sender: [email-masked]

Hi, you wrote:

: I thought gprof was a program-counter-sampling-based profiler.
: I'd be delighted to find out I'm wrong, because
: basic-block-counting-based profilers are so much better.

Oops, indeed I only have used PC sampling on my linux box.
But, according to "man gprof" on Alpha/OSF1 V4.0, there are also tools
name atom, hiprof and others. I don't know if these are also GNU or
specific to this unix implementation. At least the manpage for hiprof
says it uses instrumented code rather than PC sampling.

Bye, Heribert ([email-masked])
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".